## xlibre-server 25.0.0.12

=== meson_options.txt ===
option('xorg', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable Xorg X Server')
option('xephyr', type: 'boolean', value: false,
       description: 'Enable Xephyr nested X server')
option('glamor', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable glamor (default yes for Xorg builds)')
option('xnest', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable Xnest nested X server')
option('xvfb', type: 'boolean', value: true,
       description: 'Enable Xvfb X server')
option('xwin', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable XWin X server')
option('xquartz', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable Xquartz X server')


option('builder_addr', type: 'string', description: 'Builder address', value: 'xlibre@freelists.org')
option('builder_string', type: 'string', description: 'Additional builder string')

option('log_dir', type: 'string')
option('module_dir', type: 'string', value: 'xorg/modules',
       description: 'X.Org modules directory (absolute or relative to the directory specified by the libdir option)')
option('default_font_path', type: 'string')
option('fontrootdir', type: 'string',
        description: 'Root directory for legacy fonts. Default: from font-utils.pc or $datadir/fonts/X11')
option('serverconfigdir', type: 'string',
        description: 'Miscellaneous server configuration files path. Default: $libdir/xorg')

option('glx', type: 'boolean', value: true)
option('xdmcp', type: 'boolean', value: true)
option('xdm-auth-1', type: 'boolean', value: true)
option('ipv6', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto')
option('input_thread', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto')

option('xkb_dir', type: 'string')
option('xkb_output_dir', type: 'string')
option('xkb_bin_dir', type: 'string')
option('xkb_default_rules', type: 'string', value: 'evdev')
option('xkb_default_model', type: 'string', value: 'pc105')
option('xkb_default_layout', type: 'string', value: 'us')
option('xkb_default_variant', type: 'string')
option('xkb_default_options', type: 'string')

option('fallback_input_driver', type: 'string', value: 'auto')

option('vendor_name', type: 'string', value: 'XLibre')
option('vendor_name_short', type: 'string', value: 'XLibre')
option('vendor_web', type: 'string', value: 'https://github.com/X11Libre/xserver')

option('dtrace', type: 'boolean', value: false,
       description: 'Enable dtrace hooks')

option('listen_tcp', type: 'boolean', value: false,
       description: 'Listen on TCP by default')
option('listen_unix', type: 'boolean', value: true,
       description: 'Listen on Unix by default')
option('listen_local', type: 'boolean', value: true,
       description: 'Listen on local by default')

option('int10', type: 'combo', choices: ['stub', 'x86emu', 'vm86', 'auto', 'false'],
       value: 'auto',
       description: 'Xorg int10 backend (default: usually x86emu)')
option('suid_wrapper', type: 'boolean', value: false,
       description: 'SUID wrapper for legacy driver support')
option('pciaccess', type: 'boolean', value: true,
       description: 'Xorg pciaccess support')
option('udev', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable udev hotplugging support')
option('udev_kms', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Enable udev kms support')
option('hal', type: 'combo', choices: ['true', 'false', 'auto'], value: 'false',
       description: 'Enable HAL integration')
option('systemd_notify', type: 'combo', choices: ['true', 'false', 'auto'], value: 'false',
       description: 'Enable systemd-notify support')
option('systemd_logind', type: 'combo', choices: ['true', 'false', 'auto'], value: 'false',
       description: 'Enable systemd-logind integration')
option('vgahw', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'Xorg VGA access module')
option('dpms', type: 'boolean', value: true,
       description: 'Xorg DPMS extension')
option('xf86bigfont', type: 'boolean', value: false,
       description: 'XF86 Big Font extension')
option('screensaver', type: 'boolean', value: true,
       description: 'ScreenSaver extension')
option('xres', type: 'boolean', value: true,
       description: 'XRes extension')
option('xace', type: 'boolean', value: true,
       description: 'X-ACE extension')
option('xselinux', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'XSELINUX extension')
option('namespace', type: 'boolean', value: true,
       description: 'Container/namespace extension')
option('xinerama', type: 'boolean', value: true,
       description: 'Xinerama extension')
option('xcsecurity', type: 'boolean', value: false,
       description: 'Security extension')
option('xv', type: 'boolean', value: true,
       description: 'Xv extension')
option('xvmc', type: 'boolean', value: true,
       description: 'XvMC extension')
option('dga', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'DGA extension')
option('linux_apm', type: 'boolean', value: true,
       description: 'APM support on Linux')
option('linux_acpi', type: 'boolean', value: true,
       description: 'ACPI support on Linux')
option('mitshm', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'SHM extension')
option('agp', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
       description: 'AGP support')
option('sha1', type: 'combo', choices: ['libc', 'CommonCrypto', 'CryptoAPI', 'libmd', 'libsha1', 'libnettle', 'libgcrypt', 'libcrypto', 'auto'], value: 'auto',
       description: 'SHA1 implementation')
option('xf86-input-inputtest', type: 'boolean', value: true,
       description: 'Test input driver support on Xorg')
option('tests', type: 'boolean', value: true,
       description: 'Build tests for the X server on platforms that support it')

option('dri1', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto', description: 'Build DRI1 extension (default: auto)')
option('dri2', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto', description: 'Build DRI2 extension (default: auto)')
option('dri3', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto', description: 'Build DRI3 extension (default: auto)')
option('drm', type: 'boolean', value: true,
        description: 'Build Xorg with libdrm support')

option('apple-applications-dir', type: 'string', value: '/Applications/Utilities',
        description: 'Applications directory')
option('apple-application-name', type: 'string', value: 'X11',
        description: 'Application name')
option('bundle-id-prefix', type: 'string', value: 'org.x',
        description: 'RDNS prefix for bundle identifier')
option('bundle-version', type: 'string', value: 'auto',
        description: 'The CFBundleVersion for the application bundle')
option('bundle-version-string', type: 'string', value: 'auto',
        description: 'The CFBundleShortVersionString for the application bundle')
option('sparkle-feed-url', type: 'string',
        description: 'Feed URL for autoupdating with the Sparkle Framework (default: disabled)')
option('sparkle-public-edkey', type: 'string',
        description: 'Public EdDSA key for verifying updates from the Sparkle feed (default: disabled)')
option('xpbproxy', type: 'boolean', value: false,
        description: 'Build a standalone X pasteboard proxy')

option('libunwind', type: 'boolean', value: false,
        description: 'Use libunwind for backtrace reporting')

option('docs', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Build documentation')
option('devel-docs', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Build development documentation')
option('docs-pdf', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Whether to build PDF version of documentation. Setting is ignored if documentation is not built.')

# testsuite fine tuning - some things might not run everywhere
option('test_rendercheck_triangles', type: 'boolean', value: false,
       description: 'testsuite: run rendercheck triangles tests (might fail on Xephyr)')
option('test_xephyr_gles', type: 'boolean', value: true,
       description: 'testsuite: run gles2/gles3 tests on Xephyr (might fail w/o DRI)')

=== debian/changelog ===
xlibre-server (2:25.0.0.12-1+5gnuinos1) unstable; urgency=medium

  * Fork for Devuan
  * Patch to use libseat for seat management
  * New upstream version 25.0.0.12

 -- Aitor <aitor_czr@gnuinos.org>  Sun, 28 Sep 2025 12:02:52 +0200

xlibre-server (2:25.0.0.11-2) unstable; urgency=medium

  * control: Pin Provides xserver-xorg-core to 2:21.98

 -- apebl <a@pebl.cc>  Fri, 05 Sep 2025 08:20:56 +0000

xlibre-server (2:25.0.0.11-1) unstable; urgency=medium

  * New upstream version 25.0.0.11

 -- apebl <a@pebl.cc>  Tue, 02 Sep 2025 08:22:38 +0000

xlibre-server (2:25.0.0.9-4) unstable; urgency=medium

  * control: Update conflicts/provides for xserver-xlibre-core
  * Keep systemd-dev build-dep even on nosystemd build

 -- apebl <a@pebl.cc>  Sat, 30 Aug 2025 09:24:54 +0000

xlibre-server (2:25.0.0.9-3) unstable; urgency=medium

  * Use nosystemd profile for optional systemd

 -- apebl <a@pebl.cc>  Sun, 24 Aug 2025 01:22:35 +0000

xlibre-server (2:25.0.0.9-2) unstable; urgency=medium

  * debian/rules: Disable xinerama in udeb build

 -- apebl <a@pebl.cc>  Fri, 22 Aug 2025 23:49:39 +0000

xlibre-server (2:25.0.0.9-1) unstable; urgency=medium

  * New upstream version 25.0.0.9

 -- apebl <a@pebl.cc>  Wed, 20 Aug 2025 14:53:55 +0000

xlibre-server (2:25.0.0.8-3) unstable; urgency=medium

  * debian/not-installed: Add Xserver-DTrace docs

 -- apebl <a@pebl.cc>  Tue, 19 Aug 2025 11:53:50 +0000

xlibre-server (2:25.0.0.8-2) unstable; urgency=medium

  * Update THIS_PACKAGE in debian/xserver-xlibre-legacy.*
  * d/control: Replace x11-common with xlibre version
  * debian/control: Pin versions in Provides fields
  * debian/gbp.conf: Use DEP-14 style branches
  * d/copyright: Add 2025 copyright for Enrico Weigelt

 -- apebl <a@pebl.cc>  Mon, 18 Aug 2025 07:12:47 +0000

xlibre-server (2:25.0.0.8-1) unstable; urgency=low

  * First xlibre-server release.

 -- apebl <a@pebl.cc>  Sun, 10 Aug 2025 23:41:00 +0000

=== debian/control ===
Source: xlibre-server
Section: x11
Priority: optional
Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
Uploaders: apebl <a@pebl.cc>
Build-Depends:
 debhelper-compat (= 12),
 po-debconf,
 quilt,
 pkgconf,
 bison,
 flex,
 xutils-dev (>= 1:7.6+4),
 xfonts-utils (>= 1:7.5+1),
 x11proto-dev (>= 2024.1-1),
 xtrans-dev (>= 1.3.5),
 libxau-dev (>= 1:1.0.5-2),
 libxcvt-dev,
 libxdmcp-dev (>= 1:0.99.1),
 libxfont-dev (>= 1:2.0.1),
 libxkbfile-dev (>= 1:0.99.1),
 libpixman-1-dev (>= 0.27.2),
 libpciaccess-dev (>= 0.12.901),
 nettle-dev,
 libeudev-dev (>= 3.2.12~) [linux-any] | libudev-compat-dev (>= 3.2.12~) [linux-any],
 libselinux1-dev (>= 2.0.80) [linux-any],
 libaudit-dev [linux-any],
 libdrm-dev (>= 2.4.107-5~) [!hurd-any],
 libglvnd-dev,
 mesa-common-dev,
 libunwind-dev [amd64 arm64 armel hppa i386 ia64 mips64 mips64el mipsel powerpc powerpcspe ppc64 ppc64el sh4],
 libxmuu-dev (>= 1:0.99.1),
 libxext-dev (>= 1:0.99.1),
 libx11-dev (>= 2:1.6),
 libxrender-dev (>= 1:0.9.0),
 libxi-dev (>= 2:1.8),
 libxpm-dev (>= 1:3.5.3),
 libxaw7-dev (>= 1:0.99.1),
 libxt-dev (>= 1:0.99.1),
 libxmu-dev (>= 1:0.99.1),
 libxtst-dev (>= 1:0.99.1),
 libxres-dev (>= 1:0.99.1),
 libxfixes-dev (>= 1:3.0.0),
 libxv-dev,
 libxinerama-dev,
 libxshmfence-dev (>= 1.1) [!hurd-any],
 libepoxy-dev [linux-any kfreebsd-any],
 libegl1-mesa-dev [linux-any kfreebsd-any],
 libgbm-dev (>= 10.2) [linux-any kfreebsd-any],
 libx11-xcb-dev,
 libxcb1-dev,
 libxcb-xkb-dev,
 libxcb-shape0-dev,
 libxcb-render0-dev,
 libxcb-render-util0-dev,
 libxcb-util-dev,
 libxcb-image0-dev,
 libxcb-icccm4-dev,
 libxcb-shm0-dev,
 libxcb-keysyms1-dev,
 libxcb-randr0-dev,
 libxcb-xv0-dev,
 libxcb-glx0-dev,
 libxcb-xf86dri0-dev (>= 1.6),
 xauth <!nocheck>,
 xkb-data,
 x11-utils <!nocheck>,
 x11-xkb-utils,
 libbsd-dev,
 libdbus-1-dev (>= 1.0) [linux-any] <!nosystemd>,
 libelogind-dev [linux-any] <!nosystemd>,
# nosystemd build still requires this for udev.pc:
# systemd-dev [linux-any],
 meson,
# seat management
 libseat-dev,
Build-Depends-Indep: xz-utils
Standards-Version: 3.9.8
Rules-Requires-Root: binary-targets
Origin: Gnuinos
Vcs-Git: https://github.com/xlibre-deb/xlibre-server.git
Vcs-Browser: https://github.com/xlibre-deb/xlibre-server
Homepage: https://github.com/X11Libre

Package: xserver-xlibre-core
Architecture: any
Depends:
 xserver-xlibre-common (>= ${source:Version}),
 keyboard-configuration [linux-any kfreebsd-any],
 eudev (>= 3.2.12~) [linux-any] | vdev (>= 1.3.64~) [linux-any],
 devd [kfreebsd-any],
 libegl1 [linux-any kfreebsd-any],
 ${shlibs:Depends},
 ${misc:Depends},
Recommends:
 libgl1-mesa-dri (>= 7.10.2-4),
 default-logind | logind,
 xcvt,
Suggests: xfonts-100dpi | xfonts-75dpi, xfonts-scalable
Breaks:
 libgl1-mesa-dri (<< 18.0.5),
 xserver-xorg (<< 1:7.7+10~),
 systemd (<< 226-4~),
Replaces:
 xserver-xorg-video-modesetting,
 xserver-xorg (<< 1:7.7+10~),
Conflicts:
 xserver-xorg-core,
 xserver-xorg-input-evtouch,
 xserver-xorg-video-modesetting,
Provides:
 xserver-xorg-core (= 2:21.98),
 ${videoabi},
 ${inputabi},
 xserver-xorg-video-modesetting,
Description: XLibre X server - core server
 The XLibre X server is an X server for several architectures and operating
 systems, which is derived from the XFree86 4.x series of X servers.
 .
 The XLibre server supports most modern graphics hardware from most vendors,
 and supersedes all XFree86 X servers.
 .
 More information about XLibre can be found at:
 <URL:https://github.com/X11Libre/xserver>
 .
 This package is built from the XLibre xserver module.

Package: xserver-xlibre-core-udeb
Package-Type: udeb
Section: debian-installer
Architecture: any
Depends:
 xkb-data-udeb,
 x11-xkb-utils-udeb,
 eudev-udeb (>= 3.2.12~) | vdev-udeb (>= 1.3.64~),
 devd-udeb [kfreebsd-any],
 ${shlibs:Depends},
 ${misc:Depends},
Provides:
 xserver-xorg-core-udeb (= ${binary:Version}),
 ${videoabi},
 ${inputabi},
Description: XLibre X server - core server
 This is a udeb, or a microdeb, for the debian-installer.
Conflicts:
 xserver-xorg-core-udeb,

Package: xserver-xlibre-dev
Architecture: any
Depends:
 libpixman-1-dev (>= 0.27.2),
 x11proto-dev (>= 2024.1),
 libxcvt-dev,
 libxfont-dev,
 libxkbfile-dev,
 libpciaccess-dev,
 mesa-common-dev,
 ${misc:Depends},
Description: XLibre X server - development files
 This package provides development files for the XLibre ('XLibre') X server.
 This is not quite the same as the DDK (Driver Development Kit) from the
 XFree86 4.x and X.Org 6.7, 6.8 and 6.9 series of servers; it provides
 headers and a pkg-config file for drivers using autotools to build
 against.
 .
 Unless you are developing or building a driver, you probably want
 xserver-xlibre and/or xserver-xlibre-core instead.
 .
 More information about XLibre can be found at:
 <URL:https://github.com/X11Libre/xserver>
 .
 This package is built from the XLibre xserver module.
Provides:
 xserver-xorg-dev (= ${binary:Version}),
Conflicts:
 xserver-xorg-dev,

Package: xserver-xlibre-xnest
Architecture: any
Depends:
 xserver-xlibre-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Provides:
 xnest (= ${binary:Version}),
 xserver
Description: Nested X server
 Xnest is a nested X server that simply relays all its requests to another
 X server, where it runs as a client.  This means that it appears as another
 window in your current X session.  Xnest relies upon its parent X server
 for font services.
 .
 Use of the Xephyr X server instead of Xnest is recommended.
 .
 More information about XLibre can be found at:
 <URL:https://github.com/X11Libre/xserver>
 .
 This package is built from the XLibre xserver module.
Conflicts:
 xnest,

Package: xserver-xlibre-xvfb
Architecture: any
Depends:
 xserver-xlibre-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: xauth
Provides:
 xvfb (= ${binary:Version}),
 xserver
Multi-Arch: foreign
Description: Virtual Framebuffer 'fake' X server
 Xvfb provides an X server that can run on machines with no display hardware
 and no physical input devices. It emulates a dumb framebuffer using virtual
 memory. The primary use of this server was intended to be server testing,
 but other novel uses for it have been found, including testing clients
 against unusual depths and screen configurations, doing batch processing with
 Xvfb as a background rendering engine, load testing, as an aid to porting the
 X server to a new platform, and providing an unobtrusive way to run
 applications that don't really need an X server but insist on having one
 anyway.
 .
 This package also contains a convenience script called xvfb-run which
 simplifies the automated execution of X clients in a virtual server
 environment. This convenience script requires the use of the xauth
 program.
 .
 More information about XLibre can be found at:
 <URL:https://github.com/X11Libre/xserver>
 .
 This package is built from the XLibre xserver module.
Conflicts:
 xvfb,

Package: xserver-xlibre-xephyr
Architecture: any
Depends:
 xserver-xlibre-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Recommends: libgl1-mesa-dri (>= 7.1~rc1)
Provides:
 xserver-xephyr (= ${binary:Version}),
 xserver
Description: nested X server
 Xephyr is an X server that can be run inside another X server,
 much like Xnest. It is based on the kdrive X server, and as a
 result it supports newer extensions than Xnest, including render and
 composite.
 .
 More information about XLibre can be found at:
 <URL:https://github.com/X11Libre/xserver>
 .
 This package is built from the XLibre xserver module.
Conflicts:
 xserver-xephyr,

Package: xserver-xlibre-common
Architecture: all
Multi-Arch: foreign
Depends:
 xlibre-x11-common,
 xkb-data,
 x11-xkb-utils,
 ${misc:Depends},
Recommends:
 xfonts-base,
 xauth,
Replaces: xserver-xorg-core (<< 2:1.5.2)
Description: common files used by various X servers
 This package provides files necessary for all XLibre based X servers.
Provides:
 xserver-common (= ${binary:Version}),
Conflicts:
 xserver-common,

Package: xlibre-server-source
Architecture: all
Depends:
 ${misc:Depends},
Description: XLibre X server - source files
 This package provides original Debian (with Debian patches already
 applied, and autotools files updated) sources for the XLibre ('XLibre')
 X server shipped in a tarball.  This enables other projects re-using
 X server codebase (e.g. VNC servers) to (re-)use officially
 Debian-supported version of the X xserver for their builds.
 .
 Unless you are building a software product using X server sources,
 you probably want xserver-xlibre and/or xserver-xlibre-core instead.
Provides:
 xorg-server-source (= ${binary:Version}),
Conflicts:
 xorg-server-source,

Package: xserver-xlibre-legacy
Architecture: any
Depends:
 xserver-xlibre-common (>= ${source:Version}),
 ${shlibs:Depends},
 ${misc:Depends},
Breaks:
 x11-common (<< 1:7.7+10~),
 xserver-xorg-core (<< 2:1.17.2-3~),
Replaces:
 x11-common (<< 1:7.7+10~),
 xserver-xorg-core (<< 2:1.17.2-3~),
Description: setuid root XLibre server wrapper
 This package provides a wrapper for the XLibre X server, which is
 necessary for legacy drivers and non-Linux kernels.
Provides:
 xserver-xorg-legacy (= ${binary:Version}),
Conflicts:
 xserver-xorg-legacy,

=== debian/rules ===
#!/usr/bin/make -f

include debian/rules.flags

include /usr/share/dpkg/architecture.mk

ifeq ($(DEB_HOST_ARCH_OS), linux)
deb_udevdir = $(shell pkg-config --variable=udevdir udev)
endif

ifeq (,$(filter noudeb, $(DEB_BUILD_PROFILES)))
  with_udeb = yes
endif

%:
	dh $@ --with quilt --buildsystem=meson

override_dh_autoreconf-arch: abibumpcheck
	dh_autoreconf

override_dh_autoreconf-indep:
	dh_autoreconf
	mkdir -p build-source
	tar \
	--owner=0 --group=0 \
	--transform 's,^,xlibre-server/,' \
	--exclude=debian \
	--exclude=autom4te.cache \
	--exclude=build-source \
	--sort=name \
	--mtime=@$(SOURCE_DATE_EPOCH) \
	--clamp-mtime \
	--mode=u+rw,go+r,go-w,a-s \
	-cf - * | xz > build-source/xlibre-server.tar.xz

override_dh_auto_configure:
	$(vars) dh_auto_configure --builddirectory=debian/build/main -- \
		$(confflags) \
		$(confflags_main)
ifeq ($(with_udeb),yes)
	$(vars) dh_auto_configure --builddirectory=debian/build/udeb -- \
		$(confflags) \
		$(confflags_udeb)
endif

override_dh_auto_build:
	dh_auto_build --builddirectory=debian/build/main
ifeq ($(with_udeb),yes)
	dh_auto_build --builddirectory=debian/build/udeb
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test --builddirectory=debian/build/main -- -j1 --verbose
	# Check basic functionality of Xvfb
	PATH="debian/build/main/hw/vfb:$$PATH" sh debian/local/xvfb-run -a -e /proc/self/fd/2 -s -noreset xdpyinfo
endif

override_dh_auto_install:
	dh_auto_install --builddirectory=debian/build/main \
		--destdir=debian/tmp/main
ifeq ($(with_udeb),yes)
	dh_auto_install --builddirectory=debian/build/udeb \
		--destdir=debian/tmp/udeb
endif

	# oh, yuck.
	find debian/tmp/*/usr/lib/xorg -type f -name '*.la' -delete

ifeq ($(with_udeb),yes)
	# remove modules not needed in d-i
	rm -rf debian/tmp/udeb/usr/lib/xorg/modules/multimedia
	rm -f debian/tmp/udeb/usr/lib/xorg/modules/libxaa.so
	rm -f debian/tmp/udeb/usr/lib/xorg/modules/libexa.so
	rm -f debian/tmp/udeb/usr/lib/xorg/modules/libwfb.so
	rm -f debian/tmp/udeb/usr/lib/xorg/modules/libxf8_16bpp.so

	# we don't ship these from the udeb build, needed for dh_install
	# --fail-missing
	rm -rf debian/tmp/udeb/var/lib/xkb/README.compiled
	rm -rf debian/tmp/udeb/usr/bin/X
	rm -rf debian/tmp/udeb/usr/include
	rm -rf debian/tmp/udeb/usr/share/aclocal
	rm -rf debian/tmp/udeb/usr/share/man
	rm -rf debian/tmp/udeb/usr/lib/*/pkgconfig
endif

	install -m 755 debian/local/xvfb-run debian/tmp/main/usr/bin
	# Make sure Xvfb at least starts up
	PATH=debian/tmp/main/usr/bin/:/bin:/usr/bin \
	  debian/tmp/main/usr/bin/xvfb-run -s "-screen 0 1280x1024x24 -nolisten tcp -noreset" true

	install debian/local/xvfb-run.1 debian/tmp/main/usr/share/man/man1
ifneq ($(DEB_HOST_ARCH_OS), linux)
	install -d debian/tmp/main/usr/share/X11/xorg.conf.d
	install -m 644 debian/local/10-*.conf debian/tmp/main/usr/share/X11/xorg.conf.d
  ifeq ($(with_udeb),yes)
	install -d debian/tmp/udeb/usr/share/X11/xorg.conf.d
	install -m 644 debian/local/10-*.conf debian/tmp/udeb/usr/share/X11/xorg.conf.d
  endif
endif

# Only read the first line, the rest of the file is used to determine
# when the minimal version is to be bumped:
SERVERMINVER = debian/serverminver
serverminver = $(shell head -1 $(SERVERMINVER))

.PHONY: abibumpcheck
abibumpcheck: debian/serverminver
	@echo Checking for the need of an ABI bump
	# Build an updated version of the file:
	head -1 $(SERVERMINVER) > $(SERVERMINVER).new
	perl -ne 'print "$$1:$$2.$$3\n" if /^#define\s+(ABI_(?:VIDEODRV|XINPUT)_VERSION)\s+SET_ABI_VERSION\(\s*(\d+)\s*,\s*(\d+)\s*\)/' hw/xfree86/common/xf86Module.h|sort >> $(SERVERMINVER).new
	# Compare both files:
	@if ! cmp --quiet $(SERVERMINVER) $(SERVERMINVER).new; then \
	echo "serverminver bump required, ABI changed!";\
	echo "When bumping major or minor, always bump required xlibre-server minimum";\
	echo "version too, the newly built drivers are not backwards compatible!";\
	diff -u $(SERVERMINVER) $(SERVERMINVER).new; \
	exit 1; \
	else \
	echo "ABI unchanged"; \
	rm -f $(SERVERMINVER).new; \
	fi

override_dh_fixperms-arch:
	dh_fixperms
	chown root:root $(CURDIR)/debian/xserver-xlibre-legacy/usr/lib/xorg/Xorg.wrap
	chmod ug+s $(CURDIR)/debian/xserver-xlibre-legacy/usr/lib/xorg/Xorg.wrap

override_dh_install:
ifeq ($(with_udeb),yes)
	dh_install -pxserver-xlibre-core-udeb --sourcedir=debian/tmp/udeb
endif
	dh_install --remaining-packages --sourcedir=debian/tmp/main
	install -d $(CURDIR)/debian/xserver-xlibre-dev/usr/share/xserver-xorg
	# Extract only the major ABI version:
	set -e; \
		abi_videodrv=`PKG_CONFIG_PATH=debian/tmp/main/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig pkg-config --variable=abi_videodrv xorg-server|cut -d . -f 1`; \
		test -n "$$abi_videodrv"; echo videoabi=xorg-video-abi-$$abi_videodrv > debian/xserver-xlibre-core.substvars && \
		echo "xorg-video-abi-$$abi_videodrv, xserver-xlibre-core (>= $(serverminver))" > debian/xserver-xlibre-dev/usr/share/xserver-xorg/videodrvdep
	set -e; \
		abi_xinput=`PKG_CONFIG_PATH=debian/tmp/main/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig pkg-config --variable=abi_xinput xorg-server|cut -d . -f 1`; \
		test -n "$$abi_xinput"; echo inputabi=xorg-input-abi-$$abi_xinput >> debian/xserver-xlibre-core.substvars && \
		echo "xorg-input-abi-$$abi_xinput, xserver-xlibre-core (>= $(serverminver))" > debian/xserver-xlibre-dev/usr/share/xserver-xorg/xinputdep

ifeq ($(with_udeb),yes)
	# The udeb uses the same substvars:
	cp debian/xserver-xlibre-core.substvars debian/xserver-xlibre-core-udeb.substvars
endif

	# save the configure flags so that packages like vnc, tightvnc, tigervnc
	# know how the package was built.
	echo 'xserver_confflags = $(confflags) $(confflags_main)' \
		> debian/xserver-xlibre-dev/usr/share/xserver-xorg/configure_flags.mk

	install -m 755 -d debian/xserver-xlibre-core/usr/share/bug/xserver-xorg-core
	install -m 755 debian/xserver-xlibre-core.bug.script debian/xserver-xlibre-core/usr/share/bug/xserver-xorg-core/script
ifeq ($(DEB_HOST_ARCH_OS), linux)
	install -d debian/xserver-xlibre-core$(deb_udevdir)/rules.d
	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xlibre-core$(deb_udevdir)/rules.d
  ifeq ($(with_udeb),yes)
	install -d debian/xserver-xlibre-core-udeb$(deb_udevdir)/rules.d
	install -m 644 debian/local/64-xorg-xkb.rules debian/xserver-xlibre-core-udeb$(deb_udevdir)/rules.d
  endif
endif

override_dh_missing-indep:
	dh_missing -i -X udeb/

override_dh_missing-arch:
	dh_missing --fail-missing

override_dh_clean:
	dh_clean
	rm -rf debian/build
	rm -rf build-source

override_dh_builddeb:
	dh_builddeb $(skip_packages)

override_dh_gencontrol:
	dh_gencontrol $(skip_packages)

=== debian/tests/control ===
Tests:
 xvfb-run,
Depends:
 x11-utils,
 xauth,
 xvfb,
Restrictions:
 allow-stderr,
 superficial,

=== debian/watch ===
version=4
https://github.com/X11Libre/xserver/tags .*/xlibre-xserver-(.*)@ARCHIVE_EXT@

## xlibre-server 25.1.0

=== meson_options.txt ===
--- 
+++ 
@@ -2,6 +2,8 @@
        description: 'Enable Xorg X Server')
 option('xephyr', type: 'boolean', value: false,
        description: 'Enable Xephyr nested X server')
+option('xfbdev', type: 'boolean', value: false,
+       description: 'Enable the kdrive framebuffer device server')
 option('glamor', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Enable glamor (default yes for Xorg builds)')
 option('xnest', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
@@ -13,9 +15,14 @@
 option('xquartz', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Enable Xquartz X server')
 
-
-option('builder_addr', type: 'string', description: 'Builder address', value: 'xlibre@freelists.org')
-option('builder_string', type: 'string', description: 'Additional builder string')
+option('kdrive_kbd', type: 'boolean', value: true,
+       description: 'Build kbd driver for kdrive')
+option('kdrive_mouse', type: 'boolean', value: true,
+       description: 'Build mouse driver for kdrive')
+option('kdrive_evdev', type: 'boolean', value: true,
+       description: 'Build evdev driver for kdrive')
+option('kdrive_tslib', type: 'boolean', value: false,
+       description: 'Build kdrive tslib touchscreen support')
 
 option('log_dir', type: 'string')
 option('module_dir', type: 'string', value: 'xorg/modules',
@@ -25,6 +32,9 @@
         description: 'Root directory for legacy fonts. Default: from font-utils.pc or $datadir/fonts/X11')
 option('serverconfigdir', type: 'string',
         description: 'Miscellaneous server configuration files path. Default: $libdir/xorg')
+
+option('glx_dri', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
+        description: 'Build the dri-based glx backends. Default: true')
 
 option('glx', type: 'boolean', value: true)
 option('xdmcp', type: 'boolean', value: true)
@@ -42,10 +52,6 @@
 option('xkb_default_options', type: 'string')
 
 option('fallback_input_driver', type: 'string', value: 'auto')
-
-option('vendor_name', type: 'string', value: 'XLibre')
-option('vendor_name_short', type: 'string', value: 'XLibre')
-option('vendor_web', type: 'string', value: 'https://github.com/X11Libre/xserver')
 
 option('dtrace', type: 'boolean', value: false,
        description: 'Enable dtrace hooks')
@@ -74,6 +80,10 @@
        description: 'Enable systemd-notify support')
 option('systemd_logind', type: 'combo', choices: ['true', 'false', 'auto'], value: 'false',
        description: 'Enable systemd-logind integration')
+
+option('seatd_libseat', type: 'combo', choices: ['true', 'false', 'auto'], value: 'true',
+       description: 'Enable seatd-libseat integration')
+
 option('vgahw', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'Xorg VGA access module')
 option('dpms', type: 'boolean', value: true,
@@ -84,8 +94,6 @@
        description: 'ScreenSaver extension')
 option('xres', type: 'boolean', value: true,
        description: 'XRes extension')
-option('xace', type: 'boolean', value: true,
-       description: 'X-ACE extension')
 option('xselinux', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
        description: 'XSELINUX extension')
 option('namespace', type: 'boolean', value: true,
@@ -110,8 +118,6 @@
        description: 'AGP support')
 option('sha1', type: 'combo', choices: ['libc', 'CommonCrypto', 'CryptoAPI', 'libmd', 'libsha1', 'libnettle', 'libgcrypt', 'libcrypto', 'auto'], value: 'auto',
        description: 'SHA1 implementation')
-option('xf86-input-inputtest', type: 'boolean', value: true,
-       description: 'Test input driver support on Xorg')
 option('tests', type: 'boolean', value: true,
        description: 'Build tests for the X server on platforms that support it')
 
@@ -148,6 +154,16 @@
 option('docs-pdf', type: 'combo', choices: ['true', 'false', 'auto'], value: 'auto',
         description: 'Whether to build PDF version of documentation. Setting is ignored if documentation is not built.')
 
+# optional xfree86 DDX drivers
+option('xf86-input-inputtest', type: 'boolean', value: true,
+       description: 'Test input driver support on XLibre')
+
+# legacy nvidia driver quirks
+option('legacy_nvidia_padding', type: 'boolean', value: false,
+        description: 'EXPERT ONLY: Add a padding to ScreenRec to match an older ABI for legacy NVidia drivers')
+option('legacy_nvidia_340x', type: 'boolean', value: true,
+        description: 'Extra entrypoints for old Nvidia 340x proprietary driver')
+
 # testsuite fine tuning - some things might not run everywhere
 option('test_rendercheck_triangles', type: 'boolean', value: false,
        description: 'testsuite: run rendercheck triangles tests (might fail on Xephyr)')

=== debian/changelog ===
xlibre-server (2:25.1.0-1+genuen6u1) unstable; urgency=medium

  * integrated @stefan11111's Xfbdev (kdrive-based framebuffer Xserver)
  * seatd support in the upstream (hence, removed the quilt patch)
  * config: pattern matching for device classes and MatchLayout in
    OutputClass
  * configurable search paths for certain modules
  * added Dragonfly BSD, FreeBSD, NetBSD, Win32 (mingw32)
  * all now building with -Werror
  * building all drivers in CI (except NetBSD-only wsfb)
  * mirrors of our build dependencies
  * enabled tests on CI builds
  * xfree86: cleaned more unused exported SDK functions
  * simplified (most of) reply send paths to new rpcbuf helpers
  * incorporated xtrans and heavily trimmed it down
  * dropped internal server reset
  * replaced XACE hooks by simple callbacks
  * dropped lots of dead code
  * New upstream version 25.1.0

 -- Aitor <aitor@genuen.org>  Sun, 28 Dec 2025 11:14:15 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: xlibre-server
 Section: x11
 Priority: optional
-Maintainer: Aitor Cuadrado Zubizarreta <aitor_czr@gnuinos.org>
+Maintainer: Aitor <aitor@genuen.org>
 Uploaders: apebl <a@pebl.cc>
 Build-Depends:
  debhelper-compat (= 12),
@@ -77,7 +77,7 @@
 Build-Depends-Indep: xz-utils
 Standards-Version: 3.9.8
 Rules-Requires-Root: binary-targets
-Origin: Gnuinos
+Origin: Genuen
 Vcs-Git: https://github.com/xlibre-deb/xlibre-server.git
 Vcs-Browser: https://github.com/xlibre-deb/xlibre-server
 Homepage: https://github.com/X11Libre

=== debian/rules ===
--- 
+++ 
@@ -50,11 +50,6 @@
 endif
 
 override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	dh_auto_test --builddirectory=debian/build/main -- -j1 --verbose
-	# Check basic functionality of Xvfb
-	PATH="debian/build/main/hw/vfb:$$PATH" sh debian/local/xvfb-run -a -e /proc/self/fd/2 -s -noreset xdpyinfo
-endif
 
 override_dh_auto_install:
 	dh_auto_install --builddirectory=debian/build/main \
